Subject: Re: Bridging broken/unfriendly

From: Michal Soltys <[email-masked]>
Date: Wed, 28 Sep 2011 17:21:31 +0200

On 11-09-25 00:28, Stephen Clark wrote:
> Hi,
>
> Is there some reason Linux bridging won't let the ip address be on
> one of the interfaces, like FreeBSD does, instead of the bridge device?
>

You can do that, though you have to remember about proper routing, and 
you will need ebtables to make some of the traffic not go through the 
bridge.

Check http://ebtables.sourceforge.net/examples/basic.html#all for more 
details.